target, add multiple datasets
ClosedPublic

Authored by AkshayCHD on Aug 12 2019, 8:13 PM.

Details

Summary

Add multiple datasets to target activity

Test Plan

Apply diff on multiple_dataset branch or pull branch gsoc_akshaychd_target_multiple_datasets

Diff Detail

Repository
R2 GCompris
Branch
gsoc_akshaychd_target_multiple_datasets
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 15030
Build 15048: arc lint + arc unit
AkshayCHD created this revision.Aug 12 2019, 8:13 PM
Restricted Application added a project: KDE Edu. · View Herald TranscriptAug 12 2019, 8:13 PM
Restricted Application added a subscriber: kde-edu. · View Herald Transcript
AkshayCHD requested review of this revision.Aug 12 2019, 8:13 PM
AkshayCHD edited the summary of this revision. (Show Details)Aug 12 2019, 8:15 PM
AkshayCHD edited the test plan for this revision. (Show Details)
AkshayCHD edited projects, added GCompris: Improvements; removed KDE Edu.
AkshayCHD edited subscribers, added: GCompris: Improvements; removed: kde-edu.
Restricted Application added a project: KDE Edu. · View Herald TranscriptAug 12 2019, 8:15 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 12 2019, 8:24 PM
This revision was automatically updated to reflect the committed changes.
AkshayCHD reopened this revision.Aug 12 2019, 8:25 PM
AkshayCHD updated this revision to Diff 63625.Aug 12 2019, 8:26 PM
AkshayCHD edited the test plan for this revision. (Show Details)
  • target, add lines to end of file

Tested, all works as expected.
There is still the star level associated with the datasets which need to be properly set, as on most of the datasets you added...
Beside this, the rest looks ok.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 20 2019, 7:54 PM
This revision was automatically updated to reflect the committed changes.
AkshayCHD reopened this revision.Aug 20 2019, 7:55 PM
AkshayCHD updated this revision to Diff 64167.Aug 20 2019, 7:56 PM
  • target, add lines to end of file
  • target, correct difficulty indicators
timotheegiet accepted this revision.Aug 21 2019, 12:16 PM

Thanks. To me it looks good.
Though waiting for others comments too.

This revision is now accepted and ready to land.Aug 21 2019, 12:16 PM
jjazeix accepted this revision.Sat, Aug 31, 1:27 PM
jjazeix added a subscriber: jjazeix.

I did two really small comments.
It misses the configuration in activity to be able to change the dataset directly.
Except this, it's good and ready to be merged when done, thank you!

src/activities/target/resource/1/Data.qml
2

please, remove the empty first line on all dataset files

src/activities/target/resource/5/Data.qml
39

there are trailing spaces here (only this file)

AkshayCHD updated this revision to Diff 65071.Sat, Aug 31, 7:45 PM
  • target, remove empty spaces
AkshayCHD marked 2 inline comments as done.Sat, Aug 31, 7:46 PM
AkshayCHD updated this revision to Diff 65072.Sat, Aug 31, 7:56 PM
  • target, add dialogActivityConfig to activity

@jjazeix added levels configurations menu inside activity